Subject: bug#73064: closed (Re: [bug#73064] [PATCH 1/1] gnu: oksh: Update to 7.5.)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 16 Sep 2024 08:22:02 +0000

Your bug report

#73064: [PATCH 0/1] gnu: oksh: Update to 7.5.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
73064: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=73064
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#73064] [PATCH 1/1] gnu: oksh: Update to 7.5.
From: Ludovic Courtès <[email-masked]>
To: Luis Henriques <[email-masked]>
Cc: [email-masked]
Date: Mon, 16 Sep 2024 10:19:17 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Luis,

Luis Henriques <[email-masked]> skribis:

> From: Luís Henriques <[email-masked]>
>
> * gnu/packages/shells.scm (oksh): Update to 7.5.
> [source]: Download from github official portable oksh project.
> [home-page]: Updated to maintaners url.
> [synopsis, description]: Improved with text from oksh README.
> [license]: Fixed license.
>
> Change-Id: I06f7b6210b6d725678452c5130b09c3fb382ebca

Applied, thank you, and welcome! :-)

Ludo’.

Subject: [PATCH 0/1] gnu: oksh: Update to 7.5.
From: Luis Henriques <[email-masked]>
To: [email-masked]
Cc: Luís Henriques <[email-masked]>
Date: Thu, 5 Sep 2024 22:56:03 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

From: Luís Henriques <[email-masked]>

Hi!

I'm sending an update (my first patch!) to the oksh shell.  To be honest,
this package confuses me because it's not what I would expect it to be.  I
_think_ this should be the OpenBSD portable oksh, but the information in the
package definition isn't correct (not even the license).  So, I may be
missing something.

Luís Henriques (1):
  gnu: oksh: Update to 7.5.

 gnu/packages/shells.scm | 30 +++++++++++++++++++-----------
 1 file changed, 19 insertions(+), 11 deletions(-)

base-commit: 993d6d2e7be4dac738629c76a51058f4dc5bc449
-- 
2.45.2